> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/command/copy-descriptor_source.md).

# COPY DESCRIPTOR\_SOURCE

## Syntax

```sql
COPY DESCRIPTOR_SOURCE descriptor_source_name TO 'file_path';
```

## Description

This command downloads a [Descriptor Source](/reference/sql-syntax/data-format-serialization.md#protocol-buffers-and-descriptors) to your local machine.

Descriptor sources are downloadable only if the current role has USAGE privileges.

### Arguments

#### descriptor\_source\_name

This is the name of the descriptor source to copy. If a name is case-sensitive names, you must wrap it in double quotes; otherwise, the lowercase name is used.

#### file\_path

This is the destination file path on the local machine to which the descriptor source file is copied. This is a string value and should be wrapped in single quotes.

## Examples

#### Copy Descriptor Source

```sh
demodb.public/demostore# COPY DESCRIPTOR_SOURCE pageviews TO '/tmp/pageviews';
Downloading descriptor source pageviews to /tmp/pageviews
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/copy-descriptor_source.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
